Packages - Bug #1318

[icecat] Update the user agent
2017-05-08 03:18 AM - eliotime3000

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

The user agent of GNU IceCat 52.1.0 does not match with the user agent that shows the version 45.0. It makes that some web
browsers have an incorrect info about the web browser which it is based.

History

#1 - 2017-05-08 06:20 AM - oaken-source

the following snippet is taken from upstream's scripts that create icecat-52.1 from firefox:

// Spoof the useragent to a generic one
pref ("general.useragent.override", "Mozilla/5.0 (Windows NT 6.1; rv:45.0) Gecko/20100101 Firefox/45.0");

this is either a mistake by upstream, and should be reported there, or it is by design. either way, | don't think we should change it.

#2 - 2017-05-20 10:07 PM - oaken-source

- Status changed from open to not-a-bug
